## lua-wsapi 1.1.0

=== Makefile ===
# $Id: Makefile,v 1.14 2008/04/04 02:01:01 mascarenhas Exp $

include config

all: cgi fastcgi

cgi:

config:
	touch config

fastcgi: src/fastcgi/lfcgi.so

fcgi: fastcgi

src/fastcgi/lfcgi.so: src/fastcgi/lfcgi.o src/fastcgi/lfcgi.h
	$(CC) $(CFLAGS) $(LIB_OPTION) -o src/fastcgi/lfcgi.so src/fastcgi/lfcgi.o -lfcgi 

install:
	mkdir -p $(LUA_DIR)/wsapi
	cp src/wsapi/*.lua $(LUA_DIR)/wsapi
	cp src/launcher/wsapi.cgi $(BIN_DIR)/
	cp src/launcher/wsapi.fcgi $(BIN_DIR)/

install-fcgi:
	cp src/fastcgi/lfcgi.so $(LUA_LIBDIR)/

install-rocks: install
	mkdir -p $(PREFIX)/samples
	cp -r samples/* $(PREFIX)/samples
	mkdir -p $(PREFIX)/doc
	cp -r doc/* $(PREFIX)/doc

clean:
	rm src/fastcgi/lfcgi.o src/fastcgi/lfcgi.so

snapshot:
	cvs export -r HEAD -d wsapi-1.0-snapshot wsapi
	tar czf wsapi-1.0-snapshot.tar.gz wsapi-1.0-snapshot
	rm -rf wsapi-1.0-snapshot
	scp wsapi-1.0-snapshot.tar.gz mascarenhas@139.82.100.4:public_html/

=== debian/changelog ===
lua-wsapi (1.1.0-10) unstable; urgency=low

  * source format 3.0 (quilt) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 23:02:29 +0200

lua-wsapi (1.1.0-9) unstable; urgency=low

  * Updated standards-version to 3.9.2, no changes 
  * Multi-arch (dh >= 8.1.3, lua5.1-policy >= 32)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 12:01:58 +0200

lua-wsapi (1.1.0-8) unstable; urgency=low

  * Add liblua5.1-coxpcall0 to depends (Closes: #589161)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 16 Jul 2010 17:17:54 +0200

lua-wsapi (1.1.0-7) unstable; urgency=low

  * Updated standards-version to 3.8.3:
    - added README.source 
  * Added dependency over liblua5.1-filesystem0 (Closes: #566215)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 31 Jan 2010 16:19:21 +0100

lua-wsapi (1.1.0-6) unstable; urgency=low

  * fixed end-of-line in launchers.dpatch (Closes: #539863)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 05 Aug 2009 18:44:39 +0200

lua-wsapi (1.1.0-5) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes needed
  * build depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 18:06:53 +0200

lua-wsapi (1.1.0-4) unstable; urgency=low

  * Added dependency over liblua5.1-filesystem0 (Closes: #531971)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 05 Jun 2009 14:41:47 +0200

lua-wsapi (1.1.0-3) unstable; urgency=low

  * wsapi.cgi and wsapi.fcgi installed in /usr/bin, ready to be used in 
    Apache configuration file
  * manpages for wsapi.cgi and wsapi.fcgi written

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 25 Mar 2009 10:57:51 +0100

lua-wsapi (1.1.0-2) unstable; urgency=low

  * added conflicts and replaces to control

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 Mar 2009 10:09:04 +0100

lua-wsapi (1.1.0-1) unstable; urgency=low

  * new upstream release
  * bumped standards-version to 3.8.1, no changes needed
  * soname bump, since some functions are new and some changed module

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 Mar 2009 10:07:19 +0100

lua-wsapi (1.0.0-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 21 May 2008 11:01:14 +0200

lua-wsapi (1.0~rc1-1) unstable; urgency=low

  * Release candidate 1

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 16 Apr 2008 23:41:56 +0200

lua-wsapi (1.0~cvs20080412-1) unstable; urgency=low

  * Initial release. (Closes: #462223)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 12 Apr 2008 17:17:37 +0200

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-wsapi
#
version=3
http://luaforge.net/frs/?group_id=312  /frs/download.php/\d+/wsapi-([\d\.]*).tar.gz

## lua-wsapi 1.5

=== Makefile ===
--- 
+++ 
@@ -35,8 +35,9 @@
 	rm src/fastcgi/lfcgi.o src/fastcgi/lfcgi.so
 
 snapshot:
-	cvs export -r HEAD -d wsapi-1.0-snapshot wsapi
-	tar czf wsapi-1.0-snapshot.tar.gz wsapi-1.0-snapshot
-	rm -rf wsapi-1.0-snapshot
-	scp wsapi-1.0-snapshot.tar.gz mascarenhas@139.82.100.4:public_html/
+	git archive --format=tar --prefix=wsapi-$(VERSION)/ HEAD | gzip > wsapi-$(VERSION).tar.gz
 
+rockspecs:
+	for pkg in wsapi wsapi-fcgi wsapi-xavante ; do cp rockspec/$$pkg-$(VERSION_OLD)-1.rockspec rockspec/$$pkg-$(VERSION_NEW)-1.rockspec ; done
+	for pkg in wsapi wsapi-fcgi wsapi-xavante; do sed -e "s/$(VERSION_OLD)/$(VERSION_NEW)/g" -i "" rockspec/$$pkg-$(VERSION_NEW)-1.rockspec ; done
+	for pkg in wsapi wsapi-fcgi wsapi-xavante; do git add rockspec/$$pkg-$(VERSION_NEW)-1.rockspec ; done

=== debian/changelog ===
lua-wsapi (1.5-2) unstable; urgency=low

  * Switch to dh-lua
  * Packages renamed according to the new Lua policy 
  * Standards-Version to 3.9.3, no changes
  * debian/compat set to 8 
  * Copyright format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Apr 2012 12:50:31 +0200

lua-wsapi (1.5-1) unstable; urgency=low

  * New upstream release (Closes: #636232)
  * fixed watch file (thanks Roland Stigge)
  * refreshed patch lanuchers.patch (also renamed)
  * removed patch sheebang.patch, applied upstream

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 13 Aug 2011 19:33:46 +0200

=== debian/control ===
Source: lua-wsapi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), libfcgi-dev, dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-wsapi
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-wsapi
Homepage: http://keplerproject.github.com/wsapi/index.html

Package: lua-wsapi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-coxpcall, lua-rings, lua-filesystem, lua5.1
Suggests: lua-cgi
Multi-arch: foreign
Pre-Depends: multiarch-support
Replaces: liblua5.1-wsapi1 (<< 1.5-2~)
Breaks: liblua5.1-wsapi1 (<< 1.5-2~)
Provides: liblua5.1-wsapi1, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Web server API abstraction layer for the Lua language
 WSAPI is an API that abstracts the web server for Lua web applications,
 allowing the same application to be used in different web servers.
 .
 This package contains the WSAPI utility libraries (for common tasks like url
 encoding/decoding) as well as the following backends (server implementations):
 .
  - CGI (the regular environment-variables based protocol)
  - xavante (for the Xavante web server)
 .
 The fastcgi backends is available in the separate package lua-wsapi-fcgi.
 .
 This package also includes a backward compatible implementation of SAPI, used
 by old versions of cgilua.

Package: lua-wsapi-fcgi
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-wsapi, lua-filesystem, lua5.1
Replaces: liblua5.1-wsapi-fcgi-1 (<< 1.5-2~)
Breaks: liblua5.1-wsapi-fcgi-1 (<< 1.5-2~)
Provides: liblua5.1-wsapi-fcgi-1, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Web server API fastcgi backend
 WSAPI is an API that abstracts the web server for Lua web applications,
 allowing the same application to be used in different web servers.
 .
 This package contains the backend for the fastcgi protocol.

Package: lua-wsapi-fcgi-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: lua-wsapi-fcgi (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-wsapi-fcgi-dev (<< 1.5-2~)
Breaks: liblua5.1-wsapi-fcgi-dev (<< 1.5-2~)
Provides: liblua5.1-wsapi-fcgi-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: wsapi fastcgi development files for the Lua language
 This package contains the development files of the wsapi library (extra
 backend), useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-wsapi-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: wsapi documentation files for the Lua language
 This package contains the documentation of the wsapi library. 

Package: liblua5.1-wsapi1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-wsapi
Description: Transitional package for lua-wsapi
 This is a transitional package to ease upgrades to the lua-wsapi
 package. It can safely be removed.

Package: liblua5.1-wsapi-fcgi-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-wsapi-fcgi-dev
Description: Transitional package for lua-wsapi-fcgi-dev
 This is a transitional package to ease upgrades to the lua-wsapi-fcgi-dev
 package. It can safely be removed.

Package: liblua5.1-wsapi-fcgi-1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-wsapi-fcgi
Description: Transitional package for lua-wsapi-fcgi
 This is a transitional package to ease upgrades to the lua-wsapi-fcgi
 package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	chmod a-x src/wsapi/*
	rm -f doc/*/*.md
	rm -f src/launcher/*.c
	rm -f src/launcher/*.lua
	dh_auto_configure

override_dh_auto_install:
	mkdir -p debian/tmp/usr/bin
	cp src/launcher/wsapi.cgi debian/tmp/usr/bin/
	cp src/launcher/wsapi.fcgi debian/tmp/usr/bin/
	dh_auto_install

## lua-wsapi 1.6.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 # $Id: Makefile,v 1.14 2008/04/04 02:01:01 mascarenhas Exp $
 
 include config
+
+DESTDIR := /
+LDIR := $(DESTDIR)/$(LUA_DIR)/wsapi
+CDIR := $(DESTDIR)/$(LUA_LIBDIR)
+BDIR := $(DESTDIR)/$(BIN_DIR)
 
 all: cgi fastcgi
 
@@ -13,17 +18,20 @@
 
 fcgi: fastcgi
 
-src/fastcgi/lfcgi.so: src/fastcgi/lfcgi.o src/fastcgi/lfcgi.h
-	$(CC) $(CFLAGS) $(LIB_OPTION) -o src/fastcgi/lfcgi.so src/fastcgi/lfcgi.o -lfcgi 
+src/fastcgi/lfcgi.so: src/fastcgi/lfcgi.h
+	$(CC) $(CFLAGS) $(LDFLAGS) $(LIB_OPTION) -o src/fastcgi/lfcgi.so src/fastcgi/lfcgi.c -lfcgi $(INC)
 
 install:
-	mkdir -p $(LUA_DIR)/wsapi
-	cp src/wsapi/*.lua $(LUA_DIR)/wsapi
-	cp src/launcher/wsapi.cgi $(BIN_DIR)/
-	cp src/launcher/wsapi.fcgi $(BIN_DIR)/
+	@mkdir -p $(LDIR) $(BDIR)
+	@cp src/wsapi/*.lua $(LDIR)
+	@cp src/launcher/wsapi.cgi $(BDIR)
+	@cp src/launcher/wsapi.fcgi $(BDIR)
+	@echo "Installing of Lua WSAPI part is done!"
 
 install-fcgi:
-	cp src/fastcgi/lfcgi.so $(LUA_LIBDIR)/
+	@mkdir -p $(CDIR)
+	@cp src/fastcgi/lfcgi.so $(CDIR)
+	@echo "Installing of bundled Lua-fcgi lib is done!"
 
 install-rocks: install
 	mkdir -p $(PREFIX)/samples
@@ -32,7 +40,8 @@
 	cp -r doc/* $(PREFIX)/doc
 
 clean:
-	rm src/fastcgi/lfcgi.o src/fastcgi/lfcgi.so
+	@rm -f config src/fastcgi/lfcgi.so
+	@echo "Cleaning is done!"
 
 snapshot:
 	git archive --format=tar --prefix=wsapi-$(VERSION)/ HEAD | gzip > wsapi-$(VERSION).tar.gz

=== debian/changelog ===
lua-wsapi (1.6.0-2) unstable; urgency=medium

  * Include wsapi.lua 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Jun 2014 21:16:59 +0200

lua-wsapi (1.6.0-1) unstable; urgency=low

  * New upstream version supporting Lua 5.2 
  * Packaging moved to git
  * Removed transitional packages

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 23 Oct 2012 13:09:20 +0200

lua-wsapi (1.5-3) unstable; urgency=low

  * wsapi.cgi lines ending converted to unix (Closes: #691214)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Apr 2012 12:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,16 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8.1.3), libfcgi-dev, dh-lua
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-wsapi
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-wsapi
 Homepage: http://keplerproject.github.com/wsapi/index.html
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-wsapi.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-wsapi.git
 
 Package: lua-wsapi
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, lua-coxpcall, lua-rings, lua-filesystem, lua5.1
-Suggests: lua-cgi
+Depends: ${shlibs:Depends}, ${misc:Depends}, lua-coxpcall, lua-rings, lua-filesystem, lua-cgi, lua5.1
 Multi-arch: foreign
 Pre-Depends: multiarch-support
-Replaces: liblua5.1-wsapi1 (<< 1.5-2~)
-Breaks: liblua5.1-wsapi1 (<< 1.5-2~)
-Provides: liblua5.1-wsapi1, ${lua:Provides}
+Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Description: Web server API abstraction layer for the Lua language
  WSAPI is an API that abstracts the web server for Lua web applications,
@@ -29,9 +26,6 @@
   - xavante (for the Xavante web server)
  .
  The fastcgi backends is available in the separate package lua-wsapi-fcgi.
- .
- This package also includes a backward compatible implementation of SAPI, used
- by old versions of cgilua.
 
 Package: lua-wsapi-fcgi
 Architecture: any
@@ -69,30 +63,3 @@
 Depends: ${misc:Depends}
 Description: wsapi documentation files for the Lua language
  This package contains the documentation of the wsapi library. 
-
-Package: liblua5.1-wsapi1
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-wsapi
-Description: Transitional package for lua-wsapi
- This is a transitional package to ease upgrades to the lua-wsapi
- package. It can safely be removed.
-
-Package: liblua5.1-wsapi-fcgi-dev
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-wsapi-fcgi-dev
-Description: Transitional package for lua-wsapi-fcgi-dev
- This is a transitional package to ease upgrades to the lua-wsapi-fcgi-dev
- package. It can safely be removed.
-
-Package: liblua5.1-wsapi-fcgi-1
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-wsapi-fcgi
-Description: Transitional package for lua-wsapi-fcgi
- This is a transitional package to ease upgrades to the lua-wsapi-fcgi
- package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,6 @@
 
 override_dh_auto_install:
 	mkdir -p debian/tmp/usr/bin
-	cp src/launcher/wsapi.cgi debian/tmp/usr/bin/
+	sed 's/\x0D$$//' src/launcher/wsapi.cgi > debian/tmp/usr/bin/wsapi.cgi
 	cp src/launcher/wsapi.fcgi debian/tmp/usr/bin/
 	dh_auto_install

## lua-wsapi 1.6.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 include config
 
 DESTDIR := /
-LDIR := $(DESTDIR)/$(LUA_DIR)/wsapi
+LDIR := $(DESTDIR)/$(LUA_DIR)
+WDIR := $(DESTDIR)/$(LUA_DIR)/wsapi
 CDIR := $(DESTDIR)/$(LUA_LIBDIR)
 BDIR := $(DESTDIR)/$(BIN_DIR)
 
@@ -22,8 +23,9 @@
 	$(CC) $(CFLAGS) $(LDFLAGS) $(LIB_OPTION) -o src/fastcgi/lfcgi.so src/fastcgi/lfcgi.c -lfcgi $(INC)
 
 install:
-	@mkdir -p $(LDIR) $(BDIR)
-	@cp src/wsapi/*.lua $(LDIR)
+	@mkdir -p $(LDIR) $(WDIR) $(BDIR)
+	@cp src/*.lua $(LDIR)
+	@cp src/wsapi/*.lua $(WDIR)
 	@cp src/launcher/wsapi.cgi $(BDIR)
 	@cp src/launcher/wsapi.fcgi $(BDIR)
 	@echo "Installing of Lua WSAPI part is done!"

=== debian/changelog ===
lua-wsapi (1.6.1-4) unstable; urgency=medium

  * QA upload.
  * Fix Homepage.
  * Recover common module for lua5.1.

 -- Bastian Germann <bage@debian.org>  Fri, 10 Oct 2025 13:29:29 +0200

lua-wsapi (1.6.1-3) unstable; urgency=low

  * QA Upload.
  * Drop Drop fcgi backend.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 8 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Use secure URI in Vcs control header Vcs-Git.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Fix field name case in debian/control (Multi-arch ⇒ Multi-Arch).

 -- Bastian Germann <bage@debian.org>  Tue, 01 Apr 2025 00:07:04 +0200

lua-wsapi (1.6.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995524)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 09:09:53 -0300

lua-wsapi (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Remove transition package leftover

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 15 Aug 2015 16:36:31 +0200

lua-wsapi (1.6.0-3) unstable; urgency=medium

  * Ship files for Lua 5.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Jun 2014 22:34:38 +0200

=== debian/control ===
Source: lua-wsapi
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10~), dh-lua
Standards-Version: 3.9.3
Homepage: http://keplerproject.github.io/wsapi/
Vcs-Git: https://salsa.debian.org/lua-team/lua-wsapi.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-wsapi

Package: lua-wsapi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-coxpcall, lua-rings, lua-filesystem, lua-cgi, lua5.1
Pre-Depends: ${misc:Pre-Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: foreign
Description: Web server API abstraction layer for the Lua language
 WSAPI is an API that abstracts the web server for Lua web applications,
 allowing the same application to be used in different web servers.
 .
 This package contains the WSAPI utility libraries (for common tasks like url
 encoding/decoding) as well as the following backends (server implementations):
 .
  - CGI (the regular environment-variables based protocol)
  - xavante (for the Xavante web server)

Package: lua-wsapi-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: wsapi documentation files for the Lua language
 This package contains the documentation of the wsapi library.

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,4 @@
 override_dh_auto_install:
 	mkdir -p debian/tmp/usr/bin
 	sed 's/\x0D$$//' src/launcher/wsapi.cgi > debian/tmp/usr/bin/wsapi.cgi
-	cp src/launcher/wsapi.fcgi debian/tmp/usr/bin/
 	dh_auto_install
